# Source for file Statement.php

Documentation is available at Statement.php

1. <?php
2. /*
3. * $Id: Statement.php 1917 2007-07-01 11:27:45Z zYne $
4. *
5. * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
6. * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
7. * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
8. * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
9. * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
10. * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
11. * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
12. * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
13. * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
14. * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
15. * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
16. *
17. * This software consists of voluntary contributions made by many individuals
18. * and is licensed under the LGPL. For more information, see
19. * <http://www.phpdoctrine.com>.
20. */
21. /**
22. * Doctrine_Adapter_Statement
23. *
24. * @author Konsta Vesterinen <kvesteri@cc.hut.fi>
25. * @license http://www.opensource.org/licenses/lgpl-license.php LGPL
26. * @package Doctrine
27. * @category Object Relational Mapping
28. * @link www.phpdoctrine.com
29. * @since 1.0
30. * @version $Revision: 1917 $
31. */
32. abstract class Doctrine_Adapter_Statement
33. {
34. public function bindValue($no, $value)
35. {
36. }
37. /**
38. * fetch
39. *
40. * @see Doctrine::FETCH_* constants
41. * @param integer $fetchStyle Controls how the next row will be returned to the caller.
42. * This value must be one of the Doctrine::FETCH_* constants,
43. * defaulting to Doctrine::FETCH_BOTH
44. *
45. * @param integer $cursorOrientation For a PDOStatement object representing a scrollable cursor,
46. * this value determines which row will be returned to the caller.
47. * This value must be one of the Doctrine::FETCH_ORI_* constants, defaulting to
48. * Doctrine::FETCH_ORI_NEXT. To request a scrollable cursor for your
49. * Doctrine_Adapter_Statement_Interface object,
50. * you must set the Doctrine::ATTR_CURSOR attribute to Doctrine::CURSOR_SCROLL when you
51. * prepare the SQL statement with Doctrine_Adapter_Interface->prepare().
52. *
53. * @param integer $cursorOffset For a Doctrine_Adapter_Statement_Interface object representing a scrollable cursor for which the
54. * $cursorOrientation parameter is set to Doctrine::FETCH_ORI_ABS, this value specifies
55. * the absolute number of the row in the result set that shall be fetched.
56. *
57. * For a Doctrine_Adapter_Statement_Interface object representing a scrollable cursor for
58. * which the $cursorOrientation parameter is set to Doctrine::FETCH_ORI_REL, this value
59. * specifies the row to fetch relative to the cursor position before
60. * Doctrine_Adapter_Statement_Interface->fetch() was called.
61. *
62. * @return mixed
63. */
64. public function fetch()
65. {
66. }
67. public function nextRowset()
68. {
69. }
70. public function execute()
71. {
72. }
73. public function errorCode()
74. {
75. }
76. public function errorInfo()
77. {
78. }
79. public function rowCount()
80. {
81. }
82. public function setFetchMode($mode)
83. {
84. }
85. public function columnCount()
86. {
87. }
88. }